@import "../../../../../styles/variables.scss";
@import "../../../../../styles/mixins.scss";

.sign-up {
    padding-top: 123px;

    &-header {
        @include flex(row, space-evenly, center);

        &__border {
            display: none;
        }

        &__step {
            height: 50px;
            width: 50px;
            font-size: 24px;
            background: cornflowerblue;
            border-radius: 100%;
            color: white;

            @include flex(row, center, center);
        }

        .active {
            width: 70px;
            height: 70px;
            font-size: 32px;
            box-shadow: inset 0 0 15px;
        }
    }

    &-head {
        &__title {
            @include flex(row, center, center);
            font-size: 24px;
            margin-top: 34px;
        }
    }

    &-step {
        @include flex(row, center, flex-start);
        margin: 0;
        height: 57vh;

        app-step-container {
            width: 100%;
        }
    }

    &-navigation {
        @include flex(row, space-between, center);
        margin: 30px 30px 0;
    }
}

@media screen and (min-width: $tablet-and-desktop) {
    .sign-up {
        padding-top: 146px;

        &-header {
            @include flex(row, space-between, center);

            &__border {
                border-top: 2px solid cornflowerblue;
                flex-basis: 30%;
                display: block;
            }

            &__step {
                height: 60px;
                width: 60px;
                font-size: 28px;
            }
        }

        &-head {
            &__title {
                margin-top: 25px;
                font-size: 28px;
            }
        }

        &-step {
            height: 60vh;
            margin: 30px 14% 0 14%;
        }

        &-navigation {
            @include flex(row, space-between, center);
            margin: 25px 0 0;
            padding: 0 14.5%;
            position: fixed;
            bottom: 15px;
            width: 100%;
        }
    }
}
